欺騙Firefox,讓Extension重生

如果你像Jan一樣昇了級到Firefox 1.5 Beta的話,你可能也會失去一些Extension,因為大都與Firefox 1.5 Beta不兼容。好了,前兩天在Download Squad上看到一個很好的小玩意,叫Nightly Tester Tools。它可以強行令某些Extension兼容Firefox 1.5 Beta。

如何強制這兼容性呢?原來它欺騙了Firefox,告訴它自己是另一個較低的版本。當火狐信以為真,便可以使用到某些Extension。現在,Jan的同文堂又重新了!但在Firefox的Title Bar上卻標明了是Build 2005090806。沒有所謂吧,反正Firefox的操作毫無問題。但當然,Nightly Tester Tools也不會保證所有的Extension也可在Firefox 1.5 Beta上重生的。

如果大家喜歡本文章,請大家Like這個Blog的Facebook Page

2 Comments so far »

  1. 米曹 said

    am September 23 2005 @ 10:20 pm

    那個 「Build 2005090806」 可以在 Nightly Tester Tools 的 option 頁中設定的, 亦可不顯示啊。

    其實我也用過同文堂, 不過其 icon 太過嘔心難看, 不想將他 show 在我的 firefox toolbar 之上, 但我試過將他設定為自動化簡為繁, 可是當設定成功後我 hide 了同文堂的 icon, 那就不 work 了。不知是否有另一個方法可以不顯示其 icon 又能用到其功能呢? 又或是自行改掉那個嘔心的 icon 也是一個好主意。

  2. Neuromancer in Savannah said

    am September 24 2005 @ 12:36 am

    Nightly Tester Tools, Firefox’s killer extension

    Nightly Tester Tools

    我一直在用Firefox的nightly build,因为我一直遇到中文问题老等着最新的build可以解决,此外还能用着一些新功能,可同时又有很多extension因此作古。这实在有些恼人。今天在看

Comment RSS

Leave a comment

Name: (Required)

eMail: (Required)

Website:

Comment: